%define LANG cs
%define version 0.14
%define release 1mdk
 
Summary: Czech Linux Manual Pages
Summary(cs): esk manulov strnky
Name: man-pages-%{LANG}
Version: %{version}
Release: %{release}
License: Distributable
Group: System/Internationalization
Source:  ftp://ftp.muni.cz/pub/linux/people/petr_kolar/localization/man-pages-cs/man-pages-cs-%{version}.tar.bz2
Source1: makewhatis.%{LANG}.bz2
Patch0: man-pages-cs-0.14-hyphen.patch.bz2
Icon: books-%{LANG}.xpm
Buildroot: %_tmppath/%{name}
Prereq: sed grep man
Autoreqprov: false
BuildArchitectures: noarch
Requires: locales-%{LANG}
Obsoletes: man-%{LANG}, manpages-%{LANG}
Provides: man-%{LANG}

%description
This package contains Linux man pages in Czech.

%description -l cs
Spousta informac v etin o pkazech, souborech a jejich formtech, ...

%prep
%setup -q -n man-pages-cs-%{version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/%{LANG}/
mkdir -p $RPM_BUILD_ROOT/var/catman/%{LANG}/cat{1,2,3,4,5,6,7,8,9,n}

for i in 1 2 3 4 5 6 7 8; do
	cp -avrf man$i $RPM_BUILD_ROOT/%{_mandir}/%{LANG}/
done

mkdir -p $RPM_BUILD_ROOT/usr/sbin
bzcat $RPM_SOURCE_DIR/makewhatis.%{LANG}.bz2 > \
	$RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}
chmod a+rx $RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}

$RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG} \
	$RPM_BUILD_ROOT/%{_mandir}/%{LANG}

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron << EOF
#!/bin/bash
/usr/sbin/makewhatis.%{LANG} /%{_mandir}/%{LANG}
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron


%post
/etc/cron.weekly/makewhatis-%{LANG}.cron

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%{LANG}, if there isn't any man page
   ## directory /%{_mandir}/%{LANG}
   if [ ! -d /%{_mandir}/%{LANG} ] ; then
       rm -rf /var/catman/%{LANG}
   fi
fi

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(0644,root,man,0755)
%doc README* man-pages-*lsm CONTRIB
%defattr(0644,root,man,2755)
%dir /%{_mandir}/%{LANG}
/%{_mandir}/%{LANG}/man*
%ghost /%{_mandir}/%{LANG}/whatis
%attr(775,root,man)/var/catman/%{LANG}
%attr(755,root,root)/usr/sbin/makewhatis.%{LANG}
%config %attr(755,root,root)/etc/cron.weekly/makewhatis-%{LANG}.cron

%changelog
* Sun Jul 01 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.14-1mdk
- upgrade from rawhide

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 0.12-10mdk
- Use %%_tmppath for BuildRoot

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.12-9mdk
- Big Move

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.12-8mdk
- use mandir macro in order to be ok when switching to /usr/share/man as
  following FHS

* Tue Apr 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.12-7mdk
- spechelper, permissions, 

* Tue Mar 28 2000 Denis Havlik <denis@mandrakesoft.com> 0.12-6mdk
- convert to new group scheme
- convert books-cs.gif -> .xpm

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com> 0.12-5mdk
- moved makewhatis.%{LANG} from /usr/local/sbin to /usr/sbin

* Tue Jul 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- included some nice improvements from man-pages-pl

* Wed Jul  7 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- Adapted the rpm package of Pavel Janik to Mandrake

